guix-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

24/33: guix-install.sh: Treat all uncaught errors as fatal.


From: guix-commits
Subject: 24/33: guix-install.sh: Treat all uncaught errors as fatal.
Date: Fri, 21 Oct 2022 13:20:54 -0400 (EDT)

nckx pushed a commit to branch master
in repository guix.

commit 1e8e84b286acf147196ac95a515564324a0a9ae9
Author: Tobias Geerinckx-Rice <me@tobias.gr>
AuthorDate: Sun Oct 16 02:00:01 2022 +0200

    guix-install.sh: Treat all uncaught errors as fatal.
    
    * etc/guix-install.sh: Set -o pipefail.
---
 etc/guix-install.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/etc/guix-install.sh b/etc/guix-install.sh
index 353fc68aab..43dea3b605 100755
--- a/etc/guix-install.sh
+++ b/etc/guix-install.sh
@@ -33,7 +33,7 @@ then
     exec bash "$0" "$@"
 fi
 
-set -e
+set -eo pipefail
 
 [ "$UID" -eq 0 ] || { echo "This script must be run as root."; exit 1; }
 



reply via email to

[Prev in Thread] Current Thread [Next in Thread]